#include <stdio.h>
#include <unistd.h>
#include <ltcsmpte.h>

int want_verbose = 1;

/* ltc2amidi.c prototypes */
int midi_connected(void);
void midi_open(char *midiid);
void midi_close(void);
void send_mtc_sx(SMPTETime *stime);
int send_midi_timecode(SMPTETime *stime);


int SMPTETimeIncrease(SMPTETime* t,int framesPerSec) {
  t->frame++;
  if (t->frame >= framesPerSec) {
    t->frame=0; t->secs++;
    if (t->secs >= 60) {
      t->secs=0; t->mins++;
      if (t->mins >= 60) {
        t->mins=0; t->hours++;
        if (t->hours >= 24) {
          t->hours=0;
	  return 1;
        }
      }
    }
  }
  return 0;
}

int main (int argc, char **argv) {
  int i;
  midi_open(argc>1?argv[1]:NULL);
  SMPTETime t;
  t.frame=t.secs=t.mins=t.hours=0;
  t.secs=15;
  send_mtc_sx(&t);
  for (i=0; i< 2000; i++) {
    if (send_midi_timecode(&t)) {
      SMPTETimeIncrease(&t,25); 
    }
    usleep(5000);
  }
  midi_close(); 
  return 0;
}

/* vi:set ts=8 sts=2 sw=2: */
